# Class CIM_CredentialStore
extends CIM_Collection

CIM_CredentialStore class represents a collection of credentials such as certificates and biometric credentials. Credential collection can be used to store the credentials used by the service for validation of served up credentials or for the owned credentials of the service.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Collection
|
+--CIM_CredentialStore

## Direct Known Subclasses

CIM_Keystore

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | CIM_CredentialStore class represents a collection of credentials such as certificates and biometric credentials. Credential collection can be used to store the credentials used by the service for validation of served up credentials or for the owned credentials of the service.
UMLPackagePath | string | CIM::User::Credential
Version | string | 2.29.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
InstanceID | string |

Description

string

Within the scope of the instantiating Namespace, InstanceID opaquely and uniquely identifies an instance of this class. In order to ensure uniqueness within the NameSpace, the value of InstanceID SHOULD be constructed using the following 'preferred' algorithm: <OrgID>:<LocalID> Where <OrgID> and <LocalID> are separated by a colon ':', and where <OrgID> MUST include a copyrighted, trademarked or otherwise unique name that is owned by the business entity creating/defining the InstanceID, or is a registered ID that is assigned to the business entity by a recognized global authority. (This is similar to the <Schema Name>_<Class Name> structure of Schema class names.) In addition, to ensure uniqueness, <OrgID> MUST NOT contain a colon (':'). When using this algorithm, the first colon to appear in InstanceID MUST appear between <OrgID> and <LocalID>. <LocalID> is chosen by the organizational entity and SHOULD not be re-used to identify different underlying (real-world) elements. If the above 'preferred' algorithm is not used, the defining entity MUST assure that the resultant InstanceID is not re-used across any InstanceIDs produced by this or other providers for this instance's NameSpace. For DMTF defined instances, the 'preferred' algorithm MUST be used with the <OrgID> set to 'CIM'.

Key | boolean | true
Override | string | InstanceID
Usage | uint16 |

Description

string

Usage of the CIM_CredentialStore. 2 - Owned value means CIM_CredentialStore instance represents a collection of credentials that belong to parties local to the manager of the store. 3 - Trusted value means CIM_CredentialStore instance public credentials that belong to parties trusted by the manager of the store. 4 - Mixed value means CIM_CredentialStore instance represents a collection of both Trusted and Owned credentials.

ValueMap | string | 2, 3, 4, .., 32768..65535
Values | string | Owned, Trusted, Mixed, DMTF Reserved, Vendor Specified

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement

## Class Methods